# SimulatorService (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.simulator.client
Interface SimulatorService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  SimulatorMarshaller

    public interface SimulatorService

extends com.threerings.presents.client.InvocationService

Provides access to simulator invocation services.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService
`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

Method Summary
`void` `createGame(GameConfig config, String simClass, int playerCount)` Requests that a new game be created.

Method Detail

### createGame

    void createGame(GameConfig config,
                    String simClass,
                    int playerCount)

  Requests that a new game be created.

  Parameters:
    `config` - the game config for the game to be created.
    `simClass` - the class name of the simulant to create.
    `playerCount` - the number of players in the game.

Copyright © 2011. All Rights Reserved.